# Support

Thank you for using QLC+! This document will guide you on how to get help, report issues, and contribute effectively to the project.

## Where to Get Help

- **Community Forum:** [QLC+ Forum](https://www.qlcplus.org/forum/)
- **Documentation:** [Official Documentation](https://www.qlcplus.org/docs/)
- **GitHub Issues:** [Submit an issue here](https://github.com/qlcplus/qlcplus/issues)
  
  *Note: GitHub Issues are intended for experienced developers reporting reproducible bugs or contributing code. For general support, please use the forum.*
- **Professional Support and Training** [Book a session](https://qlcplus-merch.myshopify.com/products/1h-expert-qlc-consulting-session) 

## Before You Ask for Help

Please:

- Search the [QLC+ Forum](https://www.qlcplus.org/forum/) and [existing GitHub issues](https://github.com/qlcplus/qlcplus/issues) to see if your problem has already been reported.
- Review the [documentation](https://www.qlcplus.org/docs/) for answers.
- Make sure you are using the latest version of QLC+ as your issue may have already been fixed.

## How to Report Issues Effectively

When reporting a bug, include the following:

- **QLC+ Version:** e.g., 4.14.0
- **Operating System:** e.g., Windows 11, Ubuntu 22.04, macOS Ventura
- **Steps to Reproduce:** Clear instructions to trigger the issue
- **Expected Behavior:** What you expected to happen
- **Actual Behavior:** What actually happened
- **Additional Info:** Logs, screenshots, or sample files if relevant

Providing detailed information helps us diagnose and fix issues faster.

## Contributing to Support

We welcome community contributions! Feel free to:

- Help others in the [forums](https://www.qlcplus.org/forum/).
- Participate in [GitHub Discussions](https://github.com/qlcplus/qlcplus/discussions).
- Share tips and tricks on social media using #QLCPlus.

Your support helps the project grow!

## Need Professional Support?

For advanced consulting, custom development, or priority support, [book a session here](https://qlcplus-merch.myshopify.com/products/1h-expert-qlc-consulting-session).

## Disclaimer

This is an open-source project maintained by volunteers. While we aim to provide timely support, we appreciate your patience. Thank you for being part of the QLC+ community!
